Package org.kie.api.definition.process

# Interface Node

All Superinterfaces:
  `WorkflowElement`

public interface Node extends WorkflowElement
A Node represents an activity in the process flow chart. Many different predefined nodes are supported out-of-the-box.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,List<Connection>>`
  `getIncomingConnections()`
  The incoming connections for this Node.
  `List<Connection>`
  `getIncomingConnections(String type)`
  The incoming connections for this Node for the given entry-point.
  `Map<String,Object>`
  `getMetaData()`
  Meta data associated with this Node.
  `String`
  `getName()`
  The name of the node
  `NodeContainer`
  `getNodeContainer()`
  The NodeContainer this Node lives in.
  `default NodeType`
  `getNodeType()`
  Type of this node
  `Map<String,List<Connection>>`
  `getOutgoingConnections()`
  The outgoing connections for this Node.
  `List<Connection>`
  `getOutgoingConnections(String type)`
  The outgoing connections for this Node for the given exit-point.

  ### Methods inherited from interface org.kie.api.definition.process.WorkflowElement

  `getId, getUniqueId`

- ## Method Details

  - ### getName

    String getName()
    The name of the node
    Returns:
      the name of the node

  - ### getIncomingConnections

    Map<String,List<Connection>> getIncomingConnections()
    The incoming connections for this Node. A Node could have multiple entry-points. This map contains the list of incoming connections for each entry-point.
    Returns:
      the incoming connections

  - ### getOutgoingConnections

    Map<String,List<Connection>> getOutgoingConnections()
    The outgoing connections for this Node. A Node could have multiple exit-points. This map contains the list of outgoing connections for each exit-point.
    Returns:
      the outgoing connections

  - ### getIncomingConnections

    List<Connection> getIncomingConnections(String type)
    The incoming connections for this Node for the given entry-point.
    Returns:
      the incoming connections for the given entry point

  - ### getOutgoingConnections

    List<Connection> getOutgoingConnections(String type)
    The outgoing connections for this Node for the given exit-point.
    Returns:
      the outgoing connections for the given exit point

  - ### getNodeContainer

    NodeContainer getNodeContainer()
    The NodeContainer this Node lives in.
    Returns:
      the NodeContainer

  - ### getMetaData

    Map<String,Object> getMetaData()
    Meta data associated with this Node.

  - ### getNodeType

    default NodeType getNodeType()
    Type of this node
    Returns:
      one of the possible type of nodes